Package org.eclipse.net4j.util.container.delegate

## Class AbstractDelegator<E>

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.container.delegate.AbstractDelegator<E>

- All Implemented Interfaces:
    `IContainer<E>`, `INotifier`, `INotifier.INotifier2`
  Direct Known Subclasses:
    `ContainerCollection`, `ContainerMap`

      public abstract class AbstractDelegator<E>
      extends Notifier
      implements IContainer<E>

  A delegating base class for `containers`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `AbstractDelegator.DelegatingIterator` | A delegating `iterator`.

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `INotifier.INotifier2`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractDelegator()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ContainerEvent<E>` | `createEvent​(java.util.Collection<? super E> c, IContainerDelta.Kind kind)` |
    `protected boolean` | `dispatchEvent​(ContainerEvent<E> event)` |
    `protected void` | `fireAddedEvent​(E o)` |
    `protected void` | `fireRemovedEvent​(java.lang.Object o)` |

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

- - ### Constructor Detail

    - #### AbstractDelegator

          public AbstractDelegator()

  - ### Method Detail

    - #### fireAddedEvent

          protected void fireAddedEvent​(E o)

    - #### fireRemovedEvent

          protected void fireRemovedEvent​(java.lang.Object o)

    - #### createEvent

          protected ContainerEvent<E> createEvent​(java.util.Collection<? super E> c,
                                                  IContainerDelta.Kind kind)

    - #### dispatchEvent

          protected boolean dispatchEvent​(ContainerEvent<E> event)